<div class="card pb-2">

    <div class="ibox-title p-2">
        <div class="ibox-title-child" style="display: inline-block"><i class="ri-award-line title_icone"></i>
            {{"BREADCRUMBS.PROSPECT_MANAGEMENT.ONBOARDING"|translate}} : {{clientFullName}}</div>
        <button mat-mini-fab class="menu-add   " aria-label="Example icon-button with a menu" (click)="redirect(1)">
            <mat-icon matTooltip="list des prospects" class="menu-add-icon menu-add-user"><i
                    class="ri-list-unordered"></i></mat-icon>
        </button>
    </div>


    <!-- horizontal stepper -->
    <div id="horizontal-stepper" class="pt-1 ">

        <div>
            <div class="steps_bloc">
                <!-- wizard icons -->
                <ul id="top-tab-list" class="p-0">
                    <li *ngFor="let step of steps"
                        [ngClass]="{'active': currentStep?.id === step.id, 'done': currentStep?.id > step.id}">
                        <a class="text-center " (click)="onChangeStep(step.id)">
                            <i *ngIf="step.id === 1" class="ri-contacts-line c-stepper__item"
                                [ngClass]="{'c-stepper-active': currentStep?.id === step.id, 'c-stepper-done': currentStep?.id > step.id}"></i>
                            <i *ngIf="step.id === 2" class="ri-lightbulb-flash-line c-stepper__item"
                                [ngClass]="{'c-stepper-active': currentStep?.id === step.id, 'c-stepper-done': currentStep?.id > step.id}"></i>
                            <i *ngIf="step.id === 3" class="ri-contacts-book-line c-stepper__item"
                                [ngClass]="{'c-stepper-active': currentStep?.id === step.id, 'c-stepper-done': currentStep?.id > step.id}"></i>
                            <i *ngIf="step.id === 4" class="ri-file-copy-2-line c-stepper__item"
                                [ngClass]="{'c-stepper-active': currentStep?.id === step.id, 'c-stepper-done': currentStep?.id > step.id}"></i>
                            <i *ngIf="step.id === 5" class="ri-shield-flash-line c-stepper__item"
                                [ngClass]="{'c-stepper-active': currentStep?.id === step.id, 'c-stepper-done': currentStep?.id > step.id}"></i>
                            <i *ngIf="step.id === 6" class="ri-check-line"></i>
                            <div>{{step.label | translate}}</div>
                        </a>
                    </li>
                </ul>
                <!-- end wizard icons -->
            </div>


            <!-- general-informations & identity-information -->
            <fieldset [@inOutAnimation] [hidden]="currentStep?.id !== 1">

                <div class="mt-2">
                    <app-infos-general [_accountType]="accountType" [_accountCode]="accountCode" (submited)="accountInfos($event)">
                    </app-infos-general>
                </div>
            </fieldset>
            <!-- end general-informations & identity-information -->

            <!-- activities -->
            <fieldset [@inOutAnimation] [hidden]="currentStep?.id !== 2">
                <div>
                    <app-activities-form  [accountInfo]=" { accountType: accountType, accountPP: accountPP, accountPM: accountPM }">
                    </app-activities-form>
                </div>
            </fieldset>
            <!-- end activities -->

            <!-- contacts -->
            <fieldset [@inOutAnimation] [hidden]="currentStep?.id !== 3">
                <div>
                    <app-contacts-form [accountType]="accountType" [accountCode]="accountCode"></app-contacts-form>
                </div>
            </fieldset>
            <!-- end contacts -->

            <!-- attachment -->
            <fieldset [@inOutAnimation] [hidden]="currentStep?.id !== 4">
                <div>
                    <!-- <app-attachment-form></app-attachment-form> -->
                    <app-documents [type]="accountType"></app-documents>
                </div>
            </fieldset>
            <!-- end attachment -->

            <!-- whatch list -->
            <fieldset [@inOutAnimation] [hidden]="currentStep?.id !== 5">

                    <!-- <app-attachment-form></app-attachment-form> -->
                    <app-watch-list [_data]="{ accountPP:accountPP , accountPM: accountPM,accountType: accountType}"  ></app-watch-list>

            </fieldset>
            <!-- end watch list -->

            <!-- validation -->
            <fieldset [@inOutAnimation] [hidden]="currentStep?.id !== 6">

              <app-onboarding-summary [onboardingPayload]="registerAccountPayload"></app-onboarding-summary>

            </fieldset>
            <!-- end validation -->
        </div>

        <!-- buttons next/previos -->
        <div *ngIf="currentStep" class="mt-3 mr-2">
            <button type="button" class="btn btn-primary btn-sm float-right" (click)="onChangeStep(currentStep.id + 1)"
                *ngIf="!(currentStep.id===steps.length)">{{'NOUVEAU_COMPTE.NEXT'|translate}}</button>
            <button type="button" class="btn btn-primary btn-sm float-right" [disabled]="loading"
                    *ngIf="currentStep.id===steps.length"
                    (click)="onSubmit()"><em *ngIf="loading" class="fa fa-spinner fa-spin"></em>
              {{'NOUVEAU_COMPTE.YES_CONFIRM'|translate}}</button>

            <button type="button" class="btn btn-dark btn-sm float-right mr-3"
                (click)="onChangeStep(currentStep.id - 1)"
                [disabled]="currentStep.id === 1">{{'NOUVEAU_COMPTE.PREV'|translate}}</button>
        </div>
        <!-- end buttons next/previos -->

    </div>

</div>
